# Set all file storage settings

Source: https://docs.wabe.sh/api-reference/operations/setstorageconfig/

`PATCH https://api.wabe.sh/v1/disks/{disk}/config`

## Authorization

Project API key from the Wabe Dashboard or actor runtime access token for the disk URL supplied by the broker.

## Parameters

- `disk` (path, string, required) — Project disk name, or the disk ID in the actor runtime disk URL.

## Request body

`application/json`

Example

```json
{
  "chunk_bytes": 65536,
  "autosave_interval_ms": 10000,
  "history_retention_ms": 2592000000
}
```

Schema

```json
{
  "type": "object",
  "properties": {
    "chunk_bytes": {
      "type": "integer",
      "minimum": 4096,
      "maximum": 4194304
    },
    "autosave_interval_ms": {
      "type": "integer",
      "minimum": 0
    },
    "history_retention_ms": {
      "type": [
        "integer",
        "null"
      ],
      "minimum": 0
    }
  },
  "required": [
    "chunk_bytes",
    "autosave_interval_ms",
    "history_retention_ms"
  ],
  "additionalProperties": false
}
```

## Responses

### 204

Storage settings updated.

### 400

Invalid input.

`text/plain`

Schema

```json
{
  "type": "string"
}
```

### 401

Missing, invalid or revoked project API key, or an invalid runtime access token.

`application/json`

Schema

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```

### 403

Actor runtime token does not authorize this disk or instance generation.

`application/json`

Schema

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```

### 404

Object was not found.

`text/plain`

Schema

```json
{
  "type": "string"
}
```

### 409

Conflict, nonempty destination or referenced object.

`text/plain`

Schema

```json
{
  "type": "string"
}
```

### 500

Storage, I/O or corruption failure.

`text/plain`

Schema

```json
{
  "type": "string"
}
```

### 503

Disk unavailable.

`application/json`

Schema

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```
